| ISF 2.1 Intelligent Sensing Framework for Kinetis with Processor Expert

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

- All
- Variables

- a
- b
- c
- d
- e
- f
- g
- h
- i
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Modules Pages

### - p -

- packetSize : ci_rx_packet_t
- pad : device_info_t
- pAdapter : SensorConfig_st
- parityMode : UartConfig , UartUserConfig
- part_number : device_info_t
- partNumber : isf_lib_info_t
- pBusHandle : i2c_deviceEndpoint_struct , spi_master_Endpoint_struct , uart_deviceEndpoint_struct
- pCallback : bm_cb_config_t
- pCbData : bm_cb_config_t
- pChannelDescriptor : dm_DeviceDescriptor_struct , rliAppState_t
- pConfig : sys_channelDescriptor_t
- pCurrentSample : DeviceDescriptor_struct
- pDataBuffer : isf_fifo_t
- pDeviceDescriptor : isf_SensorHandle_st
- pDeviceHandle : I2CMasterState , SPI_Master_State , UartState
- pEndpointHandle : dm_DeviceDescriptor_struct
- Period : bm_cb_config_t
- period : gyro_config_t , mag_config_t
- periodHybridMode : fxos8700_ODR_Table_tag
- periodNormalMode : fxas21000_ODR_Table_tag , fxas21002_ODR_Table_tag , fxos8700_ODR_Table_tag
- periodUs : PitUserConfig
- pEventGroup : isf_dsa_ControlData_st
- pHandle : busHandle_struct , rliAppState_t
- phase : SpiConfig , SPIUserConfig
- pinMode : SpiConfig
- pInsertPtr : isf_fifo_t
- pipeline_index : bm_t
- pLastEntry : isf_fifo_t
- pLock : busHandle_struct , DeviceDescriptor_struct
- polarity : SpiConfig , SPIUserConfig
- pProtocol : dm_ChannelDescriptor_struct
- pProtocolCB : ci_protocol_t
- pProtocolInit : ci_protocol_t
- pRdLock : busHandle_struct
- pReadBuffer : spi_mater_SlaveCmd
- pressDataFifo_Sub1 : App1AppInstance_t
- PressInfo_Sub1 : App1AppInstance_t
- PressSettings_Sub1 : App1AppSettings_t
- pressure : isf_KiloPascals1D_EngFixed_t , isf_KiloPascals1D_float_t , mpl3115_DataBuffer_t
- pressureData : sensorSampleData
- processedData : App1SensorData_t
- protcolID : ci_protocol_t
- protocolInstanceId : sys_channelDescriptor_t
- protocolType : sys_channelDescriptor_t
- pRxbuf : ci_rx_packet_t
- pSampleBufferInfo : isf_dsa_SensorSettings_st
- pSensorSpecificSettings : SensorConfig_st
- pSensorStaticConfig : isf_SensorHandle_st
- pSlaveInfo : spi_master_CommSpecificInfo_t , spi_master_Endpoint_struct
- pSupportedSensorDataTypes : isf_dsa_DeviceInfoBlock_st
- pSupportedSensorTypes : isf_dsa_DeviceInfoBlock_st
- pTxbuf : ci_tx_packet_t
- pUserData : I2CMasterState
- pWriteBuffer : spi_mater_SlaveCmd

- © Freescale Semiconductor, Inc. 2015. All Rights Reserved.